Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Activate a Subscription


This topic describes how to activate a webhook subscription.

This request requires the webhook subscription ID. The subscription ID is in the webhookId response field from the create a webhook subscription request.

Endpoint

Send a PUT request to this endpoint. The {webhookId} is the webhook subscription ID.

PUT /notification-subscriptions/v2/webhooks/{webhookId}/status

PUT /notification-subscriptions/v2/webhooks/{webhookId}/status

PUT /notification-subscriptions/v2/webhooks/{webhookId}/status

Example

PUT /notification-subscriptions/v2/webhooks/ddb9bced-c3e3-1b1d-e053-9c588e0a3c42/status
{}
{  "status": "ACTIVE"}

Response Codes

A successful request is indicated by the 200-level response code. For more information about all of the possible response codes you can receive, see Transaction Response Codes.

Last published: October 28, 2026